/* @keyframes fly {
  0% {
    transform: translateY(15%);
    filter: brightness(1.4);
  }

  100% {
    transform: translateY(0%);
    filter: brightness(1);
  }
} */
@keyframes fly1 {
  0% {
    transform: translateY(15%);
  }

  100% {
    transform: translateY(0%);
  }
}
@keyframes fly2 {
  0% {
    transform: translateY(-0.8%) rotate(0deg);
  }

  100% {
    transform: translateY(0%) rotate(-0.2deg);
  }
}
@keyframes fly5 {
  0% {
    transform: translateY(0.8%) rotate(0deg);
  }

  100% {
    transform: translateY(0%) rotate(0.2deg);
  }
}
@keyframes fly3 {
  0% {
    transform: translateY(3%);
  }
  50% {
    transform: translateY(-10%);
  }
  100% {
    transform: translateY(3%);
  }
}
@keyframes fly4 {
  0% {
    transform: translateY(0%);
  }
  50% {
    transform: translateY(-5%);
  }
  100% {
    transform: translateY(0%);
  }
}
@keyframes arm {
  0% {
    transform: translateY(8%) rotate(0deg) scaleX(1);
    filter: brightness(1);
  }
  100% {
    transform: translateY(0%) rotate(-2deg) scaleX(0.95);
    filter: brightness(1.4);
  }
}

@keyframes arm2 {
  0% {
    transform: translateY(-8%) rotate(0deg) scaleX(1);
    filter: brightness(1);
  }
  100% {
    transform: translateY(0%) rotate(1deg) scaleX(0.95);
    filter: brightness(1.4);
  }
}

@keyframes ball {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes rotate {
  0% {
    transform: perspective(400px) rotateZ(20deg) rotateX(-40deg) rotateY(0);
  }
  100% {
    transform: perspective(400px) rotateZ(20deg) rotateX(-40deg)
      rotateY(-360deg);
  }
}
.stars {
  transform: perspective(500px);
  transform-style: preserve-3d;
  position: absolute;
  bottom: 0;
  perspective-origin: 50% 100%;
  left: 50%;
  animation: rotate 90s infinite linear;
}
.star {
  width: 2px;
  height: 2px;
  background: #e176ff;
  position: absolute;
  top: 0;
  left: 0;
  transform-origin: 0 0 -300px;
  transform: translate3d(0, 0, -300px);
  backface-visibility: hidden;
}

@keyframes star_ani {
  0% {
    opacity: 0;
    filter: brightness(1);
  }
  100% {
    opacity: 1;
    filter: brightness(1.4);
  }
}

@keyframes star_ani2 {
  0% {
    opacity: 0;
    filter: brightness(1);
    transform: scale(1.2) translateY(0) translateX(0);
  }
  40% {
    opacity: 1;
    filter: brightness(1.4);
    transform: scale(0.8) translateY(-300px) translateX(300px);
  }
  80% {
    opacity: 0;
    filter: brightness(1.4);
    transform: scale(0.8) translateY(-500px) translateX(500px);
  }
  100% {
    opacity: 0;
    filter: brightness(1.4);
    transform: scale(0.8) translateY(-500px) translateX(500px);
  }
}

@keyframes star_light {
  0% {
    opacity: 0;
    transform: scale(1) rotate(0deg);
  }
  40% {
    opacity: 1;
    transform: scale(2) rotate(-270deg);
  }
  80% {
    opacity: 0;
    transform: scale(1.5) rotate(-360deg);
  }
  100% {
    opacity: 0;
    transform: scale(0) rotate(-360deg);
  }
}

@keyframes header_ani {
  0% {
    transform: scale(1.3);
    filter: brightness(0);
  }
  100% {
    transform: scale(1);
    filter: brightness(1);
  }
}
@keyframes header_char {
  0% {
    transform: translateX(-120px);
    opacity: 0;
    filter: brightness(2) blur(20px);
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
    filter: brightness(1) blur(0);
  }
}
.header_char {
  opacity: 0;
  animation: header_char forwards;
}

@keyframes header_char2 {
  0% {
    transform: translateX(120px);
    opacity: 0;
    filter: brightness(2) blur(40px);
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
    filter: brightness(1) blur(0);
  }
}
.header_char2 {
  opacity: 0;
  animation: header_char2 forwards;
}
